<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/categoriagrupo.php");
  $categoriagrupo=new categoriagrupo;

  include_once($ruta."funciones/funciones.php");
  session_start();


  $idus=$_SESSION["codusuario"];
  $lblcode=ecUrl($idus);  
  //$mesAnteriorInicio= date("Y-m-01",strtotime($fecha_actual."- 1 month"));
  $mesInicio= date("Y-m-01");
  $mesFin= date("Y-m-d");
              
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <?php
    $hd_titulo="REPORTE DE GRUPOS";
    include_once($ruta."includes/head_basico.php");
    include_once($ruta."includes/head_tabla.php");
    include_once($ruta."includes/head_tablax.php");
  ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1120;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                 <div class="col s12 m12 l12" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <?php echo $hd_titulo; ?>
              </div>
              </div>
            </div>
          </div>
     
          <div class="container">
            <div class="section">
              <div class="row">
                     
              <div class="col s12 m12 l12" style="background: white; text-align: center; color:#1C2637; border-radius: 5px; border: #CBCBCB 1px solid">
             <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                     <th>Logo</th> 
                      <th>Grupo</th>
                      <th>Descripcion</th>  
                      <th>Categoria Grupo</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>Logo</th> 
                      <th>Grupo</th>
                      <th>Descripcion</th>  
                      <th>Categoria Grupo</th>
                      <th>Acciones</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    $contar=0;
                    foreach($grupo->mostrarTodo("estado=1") as $f)
                    {
                       $cate=$categoriagrupo->muestra($f['idcategoriagrupo']);           
                      $lblcodec=ecUrl($f['idgrupo']);
                      $contar++;
                       $dfotodoc=$vfiles->mostrarPrimero("id_publicacion=".$f['idgrupo']." and tipo_foto='fotogrupo'");

                        if (count($dfotodoc)>0) {
                          $rutaFotodoc=$ruta."grupo/editar/server/php/".$f['idgrupo']."/".$dfotodoc['name'];
                          }else{
                              $rutaFotodoc=$ruta."imagenes/vacio.png";
                          }
                   ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><img style="width: 50px;" src="<?php echo $rutaFotodoc ?>" alt="" class="circle responsive-img valign profile-image"></td>
                      <td><?php echo $f['nombre'] ?></td>
                      <td><?php echo $f['descripcion'] ?></td>
                      <td><?php echo $cate['nombre'] ?></td>

                      <td>
                        <button id="btnSave" onclick="generar2('<?php echo $lblcodec ?>');" style="font-size: 18px;" class="btn-jh cyan"> Generar Reporte</button> 
                        
                        
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>

                     
             
              </div>
            </div>     
            </div>

          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            //'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });

 function seleccionar(idcho,nombrecompleto)
 {        
  $("#idchoferImport").val(idcho);
  $("#idchofernombre").val(nombrecompleto);
      
  }

    function cambiaestado(id,estado){
      swal({
        title: "Estas Seguro?",
        text: "Cambiaras el estado al ejecutivo",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false
      }, function () {      
        $.ajax({
          url: "cambiaestado.php",
          type: "POST",
          data: "id="+id+"&estado="+estado,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }); 
    }

function generar2(lblcodec)
{
  var lbl_us="<?php echo $lblcode ?>";
    popup=window.open('../pdf/grupos.php?lblcode='+lbl_us+'&lblcodec='+lblcodec);
}
    </script>
</body>

</html>